Migration Status
GET
/v1/integrations/s3/migration
const url = 'https://api.cloud.agentums.ru/v1/integrations/s3/migration';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://api.cloud.agentums.ru/v1/integrations/s3/migration \ --header 'Authorization: Bearer <token>'Прогресс переноса + СКОЛЬКО ЕЩЁ лежит у нас (пересчёт, а не только запомненный итог).
Authorizations
Заголовок раздела «Authorizations»Responses
Заголовок раздела «Responses»Successful Response
Media typeapplication/json
StorageMigrationOut
Состояние переноса уже загруженных файлов в свой бакет.
object
error
Error
string
failed
Failed
integer
finished_at
Finished At
string
moved
Moved
integer
remaining
Remaining
integer
started_at
Started At
string
status
required
Status
string
total
Total
integer
Example
{ "error": "", "failed": 0, "finished_at": "", "moved": 0, "remaining": 0, "started_at": "", "total": 0}Validation Error
Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationErrorobject
ctx
Context
object
input
Input
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
Examplegenerated
{ "detail": [ { "ctx": {}, "input": "example", "loc": [ "example" ], "msg": "example", "type": "example" } ]}